# Portable trade equipment project
# Spec file for building rpm and rpms under ALT
# $Id: tradeequip.spec,v 1.11 2006/04/07 07:00:57 leader Exp $
# $Name:  $
#

#%define name1 tradeequip-qt
%define ShortName tradeequip
%define _qtdir %(echo $QTDIR)

Name: tradeequip
Version: 1.1.0
Release: alt0.cvs20060702

Summary: Portable trade equipment Applications common library

License: GPL
Group: Office
Url: http://www.leaderit.ru/
Vendor:	Project Portable Trade Equipment
Source:		%name-%version.tar.bz2

Requires:	qt3 >= 3.2


BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 
BuildRequires: gcc-c++ libstdc++-devel
BuildRequires: libqt3-devel doxygen tetex-latex tetex-dvips

%description
Portable trade equipment Applications

Developers
---------------
Valery Grazhdankin <vg at leaderit dot ru>

#==============================================================
%package -n tradeequip-devel
Summary: Portable trade equipment Applications

Group: Office
#Requires:	qt3 >= 3.2

%description -n tradeequip-devel
Portable trade equipment Applications

Developers
---------------
Valery Grazhdankin <vg at leaderit dot ru>

#==============================================================
%package -n tradeequip-doc
Summary: Portable trade equipment Applications common library documentation

Group: Office
#Requires:	qt3 >= 3.2

%description -n tradeequip-doc
Portable trade equipment Applications common library documentation

Developers
---------------
Valery Grazhdankin <vg at leaderit dot ru>

%prep
%setup

%build
#export QTDIR=/usr/lib/qt3
export PATH=${PATH}:$QTDIR/bin
%make
#%make tr

%install
#export QTDIR=/usr/lib/qt3
export PATH=${PATH}:$QTDIR/bin
make doc && make install INSTALL_ROOT="$RPM_BUILD_ROOT" LIBDIR=%_libdir BINDIR=%_bindir DOCDIR=%_docdir/%name-%version INCLUDEDIR=%_includedir/%name
%__mkdir_p %buildroot/%_bindir
%__mkdir_p %buildroot/%_libdir
%__mkdir_p %buildroot/%_sysconfdir/%name
%__mkdir_p %buildroot/%_datadir/%name/translations
%__mkdir_p %buildroot/%_includedir/%name
%__mkdir_p %buildroot/%_docdir/%name-%version/html
%__mkdir_p %buildroot/%_docdir/%name-%version/html-ru

cp -df %_builddir/%name-%version/bin/* %buildroot%_bindir
cp -df %_builddir/%name-%version/lib/lib* %buildroot%_libdir
cp -f %_builddir/%name-%version/src/lib/*.h %buildroot%_includedir/%name
cp -f %_builddir/%name-%version/src/libshell/*.h %buildroot%_includedir/%name
cp -f %_builddir/%name-%version/doc/html/* %buildroot%_docdir/%name-%version/html
cp -f %_builddir/%name-%version/doc/html-ru/* %buildroot%_docdir/%name-%version/html-ru
cp -f %_builddir/%name-%version/doc/tradeequip* %buildroot%_docdir/%name-%version

%post

%postun
rm -f %_datadir/%name/translations/*.qm
rm -f %_datadir/%name/templates/*.*

rmdir --ignore-fail-on-non-empty %_datadir/%name/translations
rmdir --ignore-fail-on-non-empty %_datadir/%name/templates
rmdir --ignore-fail-on-non-empty %_sysconfdir/%name
rmdir --ignore-fail-on-non-empty %_datadir/%name

%clean

%files
%_libdir/*
%_bindir/*

%files -n tradeequip-doc
%_docdir/%name-%version/*

%files -n tradeequip-devel
%_includedir/%name/*.h

%changelog
* Sun Jul 02 2006 Valery Grazdankin <leader@altlinux.ru> 1.1.0-alt0.cvs20060702
  - Automatic generated cvs build

* Sat Mar 25 2006 Valery Grazdankin <leader@altlinux.ru> 1.1.0-alt0
  + Add TEIniFile object
  + Clear code 

* Tue Feb 21 2006 Valery Grazdankin <leader@altlinux.ru> 1.0.0-alt4
  + Change cash registers base class. 

* Wed Feb 15 2006 Valery Grazdankin <leader@altlinux.ru> 1.0.0-alt3
  + Add command line shell 
  + Add plugin system

* Sun Feb 05 2006 Valery Grazdankin <leader@altlinux.ru> 1.0.0-alt2
  + Serial port object updated for posix variant.

* Sat Mar 19 2005 Valery Grazdankin <leader@altlinux.ru> 1.0.0-alt1
  + init

